<?php 
function destroy_cache(){
	$cache=dirname(__FILE__)."/cache/";
	$d = dir($cache);
	while(false !== ($entry = $d->read())) {
		if(is_file($cache.$entry)){
			unlink($cache.$entry);					
		}
	}
	$d->close();
}

if(isset($_POST['city']) && $_POST['city']!=""){
	if(get_option('wp_weather_city')){
		destroy_cache();
		update_option('wp_weather_city',$_POST['city']);
		update_option('wp_weather_city_name',$_POST['city-'.$_POST['city']]);
	}else{
		destroy_cache();
		add_option('wp_weather_city',$_POST['city'],'myweather city');
		add_option('wp_weather_city_name',$_POST['city-'.$_POST['city']],'myweather city name');
		add_option('wp_weather_city_temp',"C",'myweather city temp');
		add_option('wp_weather_city_cache',"3600",'myweather city cache');
		add_option('wp_weather_template',"default",'myweather city template');
	}
}
if(isset($_POST['temp']) && $_POST['temp']!=""){
	if(get_option('wp_weather_city_temp')){
		destroy_cache();
		update_option('wp_weather_city_temp',$_POST['temp']);
		update_option('wp_weather_city_cache',$_POST['cache']);
		update_option('wp_weather_template',$_POST['template']);
	}else{
		destroy_cache();
		add_option('wp_weather_city_temp',$_POST['temp'],'myweather city temp');
		add_option('wp_weather_city_cache',$_POST['cache'],'myweather city cache');
		add_option('wp_weather_template',$_POST['template'],'myweather city template');
	}
}
$cityname=get_option('wp_weather_city_name');
$citytemp=get_option('wp_weather_city_temp');
$template=get_option('wp_weather_template');
if(!$citytemp){
	$citytemp="C";
}
if(!$template){
	$template="default";
}
$citycache=get_option('wp_weather_city_cache');
if(!$citycache){
	$citycache="3600";
}
?>
<div class="wrap">
	<h2>myWeather configuration</h2>
	<?php if($cityname){?>
	<form method="post">		
		<fieldset class="options">
			<legend>update config</legend>
		<table class="optiontable"> 
			<tr valign="top"> 
				<th scope="row">City</th>
                <td><?php echo $cityname?></td>                      
			</tr>
			<tr valign="top"> 
				<th scope="row">Grade</th>
                <td><select name="temp">
                <option value="C"<?php if($citytemp=="C"){echo ' selected="selected"';}?>>Celsius</option>
                <option value="F"<?php if($citytemp=="F"){echo ' selected="selected"';}?>>Fahrenheit</option>
                </select></td>                      
			</tr>
			<tr valign="top"> 
				<th scope="row">Cache time</th>
                <td><input type="text" name="cache" value="<?php echo $citycache;?>" />seconds</td>                      
			</tr>
			<tr valign="top"> 
				<th scope="row">Template</th>
                <td>
                <select name="template">
                <?php
                $d = dir(dirname(__FILE__)."/templates");
				while($entry=$d->read()) {
					if($entry!="." && $entry!=".."){
						if($entry == $template){
							echo '<option value="'.$entry.'" selected="selected">'.$entry."</option>\n";
						}else{
							echo '<option value="'.$entry.'">'.$entry."</option>\n";
						}
						
					}
				}
				$d->close();
                ?>
                </select></td>                      
			</tr>
		</table>
		<div class="submit"><input type="submit" name="Submit" value="Update Config &raquo;" /></div>
		</fieldset>
	</form>
	<?php }?>
	
	<form method="post">		
		<fieldset class="options">
			<legend>Search city</legend>
		<table class="optiontable"> 
			<tr valign="top"> 
				<th scope="row">Insert city name</th>
                <td><input type="text" name="code" value="<?php echo $_POST['code']?>" /></td>                      
			</tr>
		</table>
		<div class="submit"><input type="submit" name="Submit" value="Search city &raquo;" /></div>
		</fieldset>

	</form>

<?php
if(isset($_POST['code']) && $_POST['code']!=""){

	require_once(dirname(__FILE__).'/minixml/minixml.inc.php');

	$fdata = "http://xoap.weather.com/search/search?where=".str_replace(" ","+",$_POST['code']);

	
	$file=file_get_contents($fdata);
		
	$xmlObj = new MiniXMLDoc();
	$xmlObj->fromString($file);
	$xml = $xmlObj->getRoot();
	//print($xml->getElement('search')->getElement('loc')->toString());
	
	$value=$xml->getElement('search');
	
	$partListChildren = $value->getAllChildren();
	$nn=count($partListChildren);
	if($nn==0){
		echo "<h3>no city found</h3>";
	}else{
	$cityname= array();
	?>
	<form method="post">
	<fieldset class="options">
	<h2>Select city</h2>
		<table class="optiontable"> 
			<tr valign="top"> 
<th scope="row">City Found</th>
<td>
<select name="city">
<?php foreach($partListChildren as $city){?>
<option value="<?php echo $city->attribute('id')?>"><?php echo $city->getValue();?></option>
<?php }?>
</select>
<?php foreach($partListChildren as $city){?>
<input type="hidden" name="city-<?php  echo $city->attribute('id')?>" value="<?php echo $city->getValue();?>" />
<?php }?>
</td>
</tr>
</table>
<div class="submit"><input type="submit" name="Submit" value="Save city &raquo;" /></div>
</fieldset>
</form>
<?php 
	}
}
?>
		</div>
